Package fr.gouv.vitam.collect.internal.core.service

# Class ProjectService

java.lang.Object
fr.gouv.vitam.collect.internal.core.service.ProjectService

public class ProjectService extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVING_FIELDS_CREATION_CONSTRAINT`
  `static final String`
  `ARCHIVING_FIELDS_MODIFICATION_FORBIDDEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectService(ProjectRepository projectRepository)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProjectDto`
  `createProject(ProjectDto projectDto)`
  create a project model
  `void`
  `deleteProjectById(String id)`
  delete project according to id
  `Optional<ProjectDto>`
  `findProject(String id)`
  return project according to id
  `List<ProjectDto>`
  `searchProject(CriteriaProjectDto criteriaProjectDto)`
  `ProjectDto`
  `updateProject(ProjectDto projectDto, ProjectDto existingProjectDto)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ARCHIVING_FIELDS_CREATION_CONSTRAINT

    public static final String ARCHIVING_FIELDS_CREATION_CONSTRAINT
    See Also:
      - Constant Field Values

  - ### ARCHIVING_FIELDS_MODIFICATION_FORBIDDEN

    public static final String ARCHIVING_FIELDS_MODIFICATION_FORBIDDEN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProjectService

    public ProjectService(ProjectRepository projectRepository)

- ## Method Details

  - ### createProject

    public ProjectDto createProject(ProjectDto projectDto) throws CollectInternalException
    create a project model
    Throws:
      `CollectInternalException`

  - ### findProject

    public Optional<ProjectDto> findProject(String id) throws CollectInternalException
    return project according to id
    Parameters:
      `id` - model id to find
    Returns:
      Optional
    Throws:
      `CollectInternalException`

  - ### updateProject

    public ProjectDto updateProject(ProjectDto projectDto, ProjectDto existingProjectDto) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### searchProject

    public List<ProjectDto> searchProject(CriteriaProjectDto criteriaProjectDto) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### deleteProjectById

    public void deleteProjectById(String id)
    delete project according to id
    Parameters:
      `id` - project to delete